## pdf2djvu 0.4.11a

=== Makefile ===
DJVULIBRE_BIN_PATH = $(shell pkg-config --variable exec_prefix ddjvuapi)/bin
POPPLER_VERSION = $(shell ./tools/get-poppler-version)
EXT_CFLAGS = $(shell pkg-config --cflags poppler-splash ddjvuapi) -DPOPPLER_VERSION=$(POPPLER_VERSION) $(EXT_CFLAGS_GM)
EXT_LDLIBS = $(shell pkg-config --libs poppler-splash ddjvuapi) $(EXT_LDLIBS_GM)
EXT_CFLAGS_GM = $(shell pkg-config --cflags GraphicsMagick++ --silence-errors || true)
EXT_LDLIBS_GM = $(shell pkg-config --libs GraphicsMagick++ --silence-errors || true)

CXXFLAGS ?= -Wall -O3
override LDLIBS := $(EXT_LDLIBS) $(LOADLIBES) $(LDLIBS)
override CXXFLAGS += $(EXT_CFLAGS) -DDJVULIBRE_BIN_PATH="\"$(strip $(DJVULIBRE_BIN_PATH))\""

.PHONY: all
all: pdf2djvu

config.o: config.cc config.hh debug.hh djvuconst.hh sexpr.hh version.hh
debug.o: debug.cc debug.hh
compoppler.o: compoppler.cc compoppler.hh
sexpr.o: sexpr.cc sexpr.hh
system.o: system.cc system.hh debug.hh
quantizer.o: quantizer.cc quantizer.hh compoppler.hh config.hh sexpr.hh version.hh
pdf2djvu.o: pdf2djvu.cc compoppler.hh debug.hh config.hh system.hh version.hh djvuconst.hh sexpr.hh quantizer.hh
pdf2djvu: pdf2djvu.o compoppler.o debug.o config.o system.o sexpr.o quantizer.o
	$(LINK.cc) $(^) $(LDLIBS) -o $(@) 

.PHONY: clean
clean:
	$(RM) pdf2djvu *.o version.hh

.PHONY: test
test: pdf2djvu
	$(MAKE) -C tests/

version.hh:
	./tools/get-pdf2djvu-version > $(@) || ( $(RM) $(@); false )

# vim:ts=4 sw=4 noet

=== doc/Makefile ===
DB2MAN=/usr/share/xml/docbook/stylesheet/nwalsh/manpages/docbook.xsl
XMLLINT=/usr/bin/xmllint --valid --noout
XSLTPROC=/usr/bin/xsltproc --param man.charmap.use.subset 0

.PHONY: all
all: pdf2djvu.1

%.1: %.xml
	$(XMLLINT) $(<)
	$(XSLTPROC) $(DB2MAN) $(<)

# vim:ts=4

=== tests/Makefile ===
PDF_FILES = $(wildcard *.pdf)
DJVU_FILES = $(PDF_FILES:.pdf=.djvu)
SED_FILES = $(DJVU_FILES:.djvu=.djvused)
DUMP_FILES = $(DJVU_FILES:.djvu=.djvudump)

.DELETE_ON_ERROR:

.PHONY: all
all: $(DJVU_FILES) $(SED_FILES) $(DUMP_FILES)

.PHONY: clean
clean:
	$(RM) *.djvu *.djvused *.djvudump

../pdf2djvu:
	$(MAKE) -C ..

%.djvu: %.pdf ../pdf2djvu
	../pdf2djvu $(shell cat $(<:.pdf=.options) 2>/dev/null) -v $(<) > $(@)

%.djvused: %.djvu
	djvused -e 'output-all; print-outline' $(<) > $(@)
	diff $(@) $(@).orig || true

%.djvudump: %.djvu
	djvudump $(<) > $(@)
	diff $(@) $(@).orig || true

# vim:ts=4 sw=4 noet

## pdf2djvu 0.4.13

=== tests/Makefile ===
--- 
+++ 
@@ -20,10 +20,10 @@
 
 %.djvused: %.djvu
 	djvused -e 'output-all; print-outline' $(<) > $(@)
-	diff $(@) $(@).orig || true
+	diff $(@) $(@).model || true
 
 %.djvudump: %.djvu
 	djvudump $(<) > $(@)
-	diff $(@) $(@).orig || true
+	diff $(@) $(@).model || true
 
 # vim:ts=4 sw=4 noet

## pdf2djvu 0.5.11

=== Makefile ===
# Copyright © 2007, 2008, 2009 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = .
include $(srcdir)/Makefile.common

.PHONY: all
all: pdf2djvu

ifneq ($(WINDRES),:)
version.o: version.rc version.hh
	$(WINDRES) -c 1252 -o $(@) $(<)
pdf2djvu: version.o
endif

include Makefile.dep

paths.hh: tools/generate-paths-hh Makefile.common
	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))

pdf2djvu: pdf2djvu.o pdf-backend.o pdf-dpi.o debug.o config.o string-format.o system.o sexpr.o quantizer.o i18n.o
	$(LINK.cc) $(^) $(LDFLAGS) $(LDLIBS) -o $(@)

.PHONY: clean
clean:
	$(RM) pdf2djvu *.o paths.hh

.PHONY: distclean
distclean: clean
	$(RM) version.hh Makefile.common config.status config.log

.PHONY: test
test: pdf2djvu
	$(MAKE) -C tests/

MAN_PAGES = $(wildcard doc/*.1 doc/po/*.1)
MO_FILES = $(wildcard po/*.mo)

.PHONY: install
install: all
	$(INSTALL) -d $(DESTDIR)$(bindir)
	$(INSTALL) pdf2djvu $(DESTDIR)$(bindir)
ifneq ($(MAN_PAGES),)
	for manpage in $(MAN_PAGES); \
	do \
		set -x; \
		basename=`basename $$manpage`; \
		suffix="$${basename#*.}"; \
		locale="$${suffix%.*}"; \
		[ $$locale = $$suffix ] && locale=; \
		$(INSTALL) -d $(DESTDIR)$(mandir)/$$locale/man1/; \
		$(INSTALL) -m 644 $$manpage $(DESTDIR)$(mandir)/$$locale/man1/"$${basename%%.*}.$${basename##*.}"; \
	done
endif
ifneq ($(MO_FILES),)
	for locale in $(basename $(notdir $(MO_FILES))); \
	do \
		$(INSTALL) -d $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/; \
		$(INSTALL) -m 644 po/$$locale.mo $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/pdf2djvu.mo; \
	done
endif

# vim:ts=4 sw=4 noet

=== po/Makefile ===
# Copyright © 2009 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ..
include $(srcdir)/Makefile.common

PO_FILES = $(wildcard *.po)
MO_FILES = $(PO_FILES:.po=.mo)
SOURCE_FILES = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)

XGETTEXT_OPTIONS = \
	--package-name=$(PACKAGE_NAME) \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT)

.PHONY: all
all: $(PACKAGE_NAME).pot $(PO_FILES) $(MO_FILES)

$(PACKAGE_NAME).pot: $(XGETTEXT_HELPER) $(SOURCE_FILES)
	$(XGETTEXT) $(XGETTEXT_OPTIONS) -D $(srcdir) $(notdir $(SOURCE_FILES)) > $(@)

%.po: $(PACKAGE_NAME).pot
	$(MSGMERGE) -o $(@) $(@) $(<)

%.mo: %.po
	$(MSGFMT) -o $(@) -c $(<)

# vim:ts=4 sw=4 noet

=== tests/Makefile ===
--- 
+++ 
@@ -1,3 +1,9 @@
+# Copyright © 2007, 2008, 2009 Jakub Wilk
+#
+# This package is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 dated June, 1991.
+
 PDF_FILES = $(wildcard *.pdf)
 DJVU_FILES = $(PDF_FILES:.pdf=.djvu)
 SED_FILES = $(DJVU_FILES:.djvu=.djvused)

=== doc/po/Makefile ===
# Copyright © 2009 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ../..
include $(srcdir)/Makefile.common
include $(srcdir)/doc/Makefile.common

XSLTPROC += --param man.output.lang.in.name.enabled 1

PO4A_OPTIONS = \
	--package-name=$(PACKAGE_NAME) \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--copyright-holder="Jakub Wilk"

PO_FILES = $(wildcard *.po)
XML_FILES = $(PO_FILES:.po=.xml)
MAN_FILES = $(PO_FILES:.po=.1)

.PHONY: all
all: $(MAN_FILES)

%.xml: %.po
	po4a $(PO4A_OPTIONS) po4a.conf
	sed -i -e 's/<\(refentry\)>/<\1 lang="$(subst .,,$(suffix $(basename $(@))))">/' $(@)

# vim:ts=4 sw=4 noet

## pdf2djvu 0.7.0

=== Makefile ===
--- 
+++ 
@@ -18,15 +18,32 @@
 
 include Makefile.dep
 
+%.hh: %.xml
+	tools/xml2c < $(<) > $(@)
+
 paths.hh: tools/generate-paths-hh Makefile.common
 	$(<) $(foreach var,localedir djvulibre_bindir,$(var) $($(var)))
 
-pdf2djvu: pdf2djvu.o pdf-backend.o pdf-dpi.o debug.o config.o string-format.o system.o sexpr.o quantizer.o i18n.o
+pdf2djvu: config.o
+pdf2djvu: debug.o
+pdf2djvu: i18n.o
+pdf2djvu: pdf-backend.o
+pdf2djvu: pdf-dpi.o
+pdf2djvu: pdf2djvu.o
+pdf2djvu: quantizer.o
+pdf2djvu: sexpr.o
+pdf2djvu: string-format.o
+pdf2djvu: system.o
+pdf2djvu: xmp.o
+pdf2djvu:
 	$(LINK.cc) $(^) $(LDFLAGS) $(LDLIBS) -o $(@)
+
+XML_FILES = $(wildcard *.xml)
+XML_HH_FILES = $(XML_FILES:.xml=.hh)
 
 .PHONY: clean
 clean:
-	$(RM) pdf2djvu *.o paths.hh
+	$(RM) pdf2djvu *.o paths.hh $(XML_HH_FILES)
 
 .PHONY: distclean
 distclean: clean

=== doc/Makefile ===
srcdir = ..
include $(srcdir)/doc/Makefile.common

XML_FILES = $(wildcard *.xml)
MAN_FILES = $(XML_FILES:.xml=.1)

.PHONY: all
all: $(MAN_FILES)

# vim:ts=4

=== po/Makefile ===
--- 
+++ 
@@ -12,6 +12,9 @@
 SOURCE_FILES = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)
 
 XGETTEXT_OPTIONS = \
+	--no-location \
+	--language=C++ \
+	--keyword=_ --keyword=N_ \
 	--package-name=$(PACKAGE_NAME) \
 	--package-version=$(PACKAGE_VERSION) \
 	--msgid-bugs-address=$(PACKAGE_BUGREPORT)

=== tests/Makefile ===
# Copyright © 2009 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

pdf2djvu = ../pdf2djvu
export pdf2djvu

TEST_SCRIPTS = $(wildcard test-*.sh)
TESTS = $(TEST_SCRIPTS:.sh=)

STAMP_FILES = $(TESTS:%=%.stamp)
PDF_FILES = $(TESTS:%=%.pdf)
DJVU_FILES = $(TESTS:%=%.djvu)

IN_FILES = $(wildcard *.in)

GENERATED_FILES = $(IN_FILES:.in=) $(STAMP_FILES) $(PDF_FILES)

.PHONY: all
all: $(GENERATED_FILES)

.PHONY: prepare
prepare: $(IN_FILES:.in=) $(PDF_FILES)
	rm -f *.log *.pyc

.PHONY: clean
clean:
	rm -f $(GENERATED_FILES) *.log *.djvu *.pyc

%.stamp: %.sh %.pdf $(pdf2djvu)
	sh -e -x $(<)
	touch $(@)

%.pdf: %.tex
	pdftex $(<)

%: %.in
	./$(<)

../pdf2djvu:
	$(MAKE) -C ../

# vim:ts=4 sw=4 noet

=== doc/po/Makefile ===
--- 
+++ 
@@ -11,6 +11,7 @@
 XSLTPROC += --param man.output.lang.in.name.enabled 1
 
 PO4A_OPTIONS = \
+	--rm-backups \
 	--package-name=$(PACKAGE_NAME) \
 	--package-version=$(PACKAGE_VERSION) \
 	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
@@ -25,6 +26,7 @@
 
 %.xml: %.po
 	po4a $(PO4A_OPTIONS) po4a.conf
+	sed -i -e '/^#:/ d' *.po
 	sed -i -e 's/<\(refentry\)>/<\1 lang="$(subst .,,$(suffix $(basename $(@))))">/' $(@)
 
 # vim:ts=4 sw=4 noet

## pdf2djvu 0.7.4

=== Makefile ===
--- 
+++ 
@@ -27,10 +27,10 @@
 pdf2djvu: config.o
 pdf2djvu: debug.o
 pdf2djvu: i18n.o
+pdf2djvu: image-filter.o
 pdf2djvu: pdf-backend.o
 pdf2djvu: pdf-dpi.o
 pdf2djvu: pdf2djvu.o
-pdf2djvu: quantizer.o
 pdf2djvu: sexpr.o
 pdf2djvu: string-format.o
 pdf2djvu: system.o

=== debian/changelog ===
pdf2djvu (0.7.4-1) unstable; urgency=low

  * New upstream relase (closes: #585582).

 -- Jakub Wilk <jwilk@debian.org>  Sat, 12 Jun 2010 22:24:37 +0200

pdf2djvu (0.7.3-1) unstable; urgency=low
  
  * New upstream release (closes: #582425).
  * Drop va_list mangling patch, no longer needed.
  * Install a few documentation files.
  * Update the watch file.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 24 May 2010 22:50:53 +0200

pdf2djvu (0.7.2-1) unstable; urgency=low

  * New upstream release:
    + No longer produce broken DjVu files with --fg-colors=web
      (closes: #579579).
    + Properly initialize GraphicsMagick (closes: #579580).

 -- Jakub Wilk <jwilk@debian.org>  Sun, 02 May 2010 01:08:23 +0200

pdf2djvu (0.7.1-1) unstable; urgency=low

  * New upstream release.

 -- Jakub Wilk <jwilk@debian.org>  Mon, 19 Apr 2010 21:45:45 +0200

pdf2djvu (0.7.0-1) unstable; urgency=low

  * New upstream release.
  * Update debian/copyright.
  * Bump standards version to 3.8.4 (no changes needed).
  * Bump priority to optional.

 -- Jakub Wilk <jwilk@debian.org>  Sun, 28 Feb 2010 01:39:42 +0100

pdf2djvu (0.6.1-2) unstable; urgency=low

  * va_list mangling has been changed in GCC 4.4 on armel. Add a hack which
    allows to build the package with GCC 4.4 even if poppler was compiled by
    an older GCC.
  * Sweep the tests directory in the clean target.
  * Update my e-mail address.

 -- Jakub Wilk <jwilk@debian.org>  Tue, 09 Feb 2010 12:21:22 +0100

pdf2djvu (0.6.1-1) unstable; urgency=low

  [ Jakub Wilk ]
  * New upstream release.
  * Remove superfluous debian/manpages file.
  * Suggest poppler-data, which is necessary to properly convert some CJK
    PDFs.

  [ Luca Bruno ]
  * debian/control: Added Luca Bruno as uploader

 -- Jakub Wilk <ubanus@users.sf.net>  Fri, 15 Jan 2010 00:25:03 +0100

pdf2djvu (0.6.0-1) unstable; urgency=low

  * New upstream release (closes: #552087).
    + Update package description: XMP metadata is now properly supported.
    + Add build-dependency on libxslt1-dev and libxml2-utils.
  * New maintainer (closes: #563839).
  * Switch from cdbs to dh.
  * Ensure that poppler version is >= 0.7.3.
  * Ensure that both djvulibre-bin and libdjvulibreNN versions are
    >= 3.5.20-5.
  * Use LDFLAGS=-Wl,--as-needed to avoid superfluous runtime dependencies.
  * Switch to source format 3.0 (quilt).
  * Update debian/copyright; use DEP-5 format.

 -- Jakub Wilk <ubanus@users.sf.net>  Thu, 07 Jan 2010 22:08:58 +0100

pdf2djvu (0.5.11-0.1) unstable; urgency=low

  * Non-Maintainer Upload
  * New Upstream version (Closes: #505690 #508391 #522339 #532002)
  * Moved to git collab-maint, added proper gbp.conf and Vcs-Git tag
  * Updated debian/rules for new building machinery, upstream changelog 
    moved to doc/changelog.txt
  * Configure now needs djvulibre-bin, added to build-dep
  * Updated S-V to 3.8.3
  * Added ${misc:Depends} for cdbs
  * Fixed copyright symbol

 -- Luca Bruno <lucab@debian.org>  Mon, 31 Aug 2009 16:47:10 +0200

pdf2djvu (0.4.11a-1) unstable; urgency=low

  * New upstream release
  * debian/docs - added upstream Change Logs per request of upstream

 -- Steve Stalcup <vorian@ubuntu.com>  Sun, 29 Jun 2008 15:47:02 -0400

pdf2djvu (0.4.10-1) unstable; urgency=low

  * Initial release (Closes: #474142)

 -- Steve Stalcup <vorian@ubuntu.com>  Wed, 07 May 2008 17:42:58 -0400

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Jakub Wilk <jwilk@debian.org>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends: debhelper (>= 7),
 libpoppler-dev (>= 0.7.3),
 libdjvulibre-dev (>= 3.5.20-5~), djvulibre-bin (>= 3.5.20-5~),
 libpstreams-dev,
 libgraphicsmagick++1-dev,
 libxslt1-dev, libxml2-utils
Standards-Version: 3.8.4
Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
Homepage: http://pdf2djvu.googlecode.com/

Package: pdf2djvu
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, djvulibre-bin (>= 3.5.20-5~)
Suggests: poppler-data
Breaks: libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/rules ===
#!/usr/bin/make -f
  
LDFLAGS = -Wl,--as-needed

ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
dh_parallel = --parallel
endif

.PHONY: build
build: build-stamp
build-stamp:
	+ dh build $(dh_parallel)
	touch $(@)

.PHONY: clean
clean:
	dh clean

.PHONY: install
install: install-stamp
install-stamp: build-stamp
	dh install --before dh_installchangelogs
	dh_installchangelogs doc/changelog.txt
	dh install --remaining
	touch $(@)

.PHONY: binary-arch
binary-arch: install
	dh binary-arch

.PHONY: binary-indep
binary-indep:

.PHONY: binary
binary: binary-arch binary-indep

# vim:ts=4 sw=4 noet

## pdf2djvu 0.7.7

=== Makefile ===
--- 
+++ 
@@ -10,7 +10,7 @@
 .PHONY: all
 all: pdf2djvu
 
-ifneq ($(WINDRES),:)
+ifneq "$(WINDRES)" ""
 version.o: version.rc version.hh
 	$(WINDRES) -c 1252 -o $(@) $(<)
 pdf2djvu: version.o

=== win32/Makefile ===
# Copyright © 2009, 2010, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

usr = $(CURDIR)
host = i586-mingw32msvc
docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl

version := $(shell cat ../doc/changelog | head -n1 | cut -d' ' -f2 | tr -d '()')

djvulibre_tools = djvmcvt djvused bzz csepdjvu djvuextract cjb2 c44 djvumake

untar = tar --strip-components=1 -xf
ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll

export CC = $(host)-gcc -static-libgcc
export CXX = $(host)-g++ -static-libgcc
export AS = $(host)-as
export DLLTOOL = $(host)-dlltool
export OBJDUMP = $(host)-objdump
export STRIP = $(host)-strip

export PKG_CONFIG_PATH = $(usr)/lib/pkgconfig
export CPATH = $(usr)/include
export LDFLAGS = -L$(usr)/lib

export CFLAGS = -Os
export CXXFLAGS = -Os

.PHONY: all
all:
	@echo Usage:
	@echo '  make source-dist'
	@echo '  make binary-dist'

# Source tarballs

src_tarball_topdir = pdf2djvu-win32-source-$(version)
src_tarball_name = pdf2djvu-win32-source_$(version)
export TAR_OPTIONS = --owner root --group root --mode a+rX

.PHONY:
source-dist:
	rm -rf src/*/
	$(MAKE) $(shell grep '[^ ]*source[-]stamp:' Makefile | cut -d: -f1)
	mkdir -p $(src_tarball_topdir)
	cp -rl src/*/ $(src_tarball_topdir)/
	find $(src_tarball_topdir) -name source-stamp -delete
	tar -cf $(src_tarball_name).tar $(src_tarball_topdir)
	xz -v $(src_tarball_name).tar
	rm -rf $(src_tarball_topdir)

# Binary zipballs

zipball_topdir = pdf2djvu-$(version)
zipball_name = pdf2djvu-win32_$(version)
export ZIPOPT = -9 -X -r

.PHONY: binary-dist
binary-dist: install
	mkdir -p $(zipball_topdir)
	cp -rl dist/* $(zipball_topdir)
	zip $(zipball_name).zip $(zipball_topdir)
	rm -r $(zipball_topdir)

.PHONY: install
install: src/pdf2djvu/install-stamp
install: src/libs-install-stamp
install: src/urw-fonts/install-stamp

# pdf2djvu

src/pdf2djvu/source-stamp: src/pdf2djvu_$(version).tar.gz
	mkdir -p $(dir $@)
	cd $(dir $@) && $(untar) $(CURDIR)/$(<)
	sed -i \
		-e '/^extern/d; /^"C"$$/d; /^const char [*]_nl_/d; s/ + _nl_[a-z_]* + .*$$//' \
		$(dir $@)/configure
	sed -i -e 's/%zu/%Iu/g' \
		$(dir $@)/*.cc \
		$(dir $@)/*.hh \
		$(dir $@)/po/*.po*
	rm -f $(dir $@)/paths.hh
	touch $@

src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
src/pdf2djvu/config.status: src/djvulibre/install-stamp
src/pdf2djvu/config.status: src/libxslt/install-stamp
src/pdf2djvu/config.status: src/mingwrt/install-stamp
src/pdf2djvu/config.status: src/poppler/install-stamp
src/pdf2djvu/config.status: src/gettext/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--bindir=$(usr)/dist/ \
		--localedir=$(usr)/dist/locale/ \
		--without-graphicsmagick

src/pdf2djvu/build-stamp: src/pdf2djvu/config.status
	$(MAKE) djvulibre_bindir=. localedir=./locale -C $(dir $@)
	touch $@

src/pdf2djvu/install-stamp: src/pdf2djvu/build-stamp
	mkdir -p dist/doc/
	$(MAKE) install -C $(dir $@)
	mv dist/pdf2djvu dist/pdf2djvu.exe
	$(STRIP) dist/pdf2djvu.exe
	chmod a-x dist/pdf2djvu.exe
	xsltproc --nonet $(docbook_xsl) src/pdf2djvu/doc/pdf2djvu.xml > dist/doc/manual-page.html
	$(MAKE) -C $(dir $@)/doc/po/ xml
	cd src/pdf2djvu/doc/po/ && set -e && \
		for file in pdf2djvu.*.xml; do \
			suffix="$${file#*.}"; \
			locale="$${suffix%.*}"; \
			xsltproc --nonet $(docbook_xsl) $$file > $(usr)/dist/doc/manual-page-$$locale.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/COPYING > dist/doc/COPYING.txt
	cd src/pdf2djvu/doc && set -e && \
		for file in *.txt; do \
			rst2html $$file > $(usr)/dist/doc/$${file%.txt}.html; \
		done
	sed -e 's/$$/\r/' < src/pdf2djvu/doc/changelog > dist/doc/changelog.txt
	touch $@

# Various libraries

src/libs-install-stamp: src/djvulibre/install-stamp
src/libs-install-stamp: src/fontconfig/install-stamp
src/libs-install-stamp: src/freetype/install-stamp
src/libs-install-stamp: src/gettext/install-stamp
src/libs-install-stamp: src/libjpeg/install-stamp
src/libs-install-stamp: src/libxml2/install-stamp
src/libs-install-stamp: src/libxslt/install-stamp
src/libs-install-stamp: src/mingwrt/install-stamp
src/libs-install-stamp: src/poppler/install-stamp
src/libs-install-stamp: src/winiconv/install-stamp
	mkdir -p dist/doc/
	rst2html COPYING.libs.txt > dist/doc/COPYING.libs.html
	touch $@

# Poppler

src/poppler/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://poppler.freedesktop.org/poppler-0.16.4.tar.gz
	echo '0e48e54d6e6d7269f049cf9d060e3ed078cad69808bda8a6da285a7b41c3a2a6  src/poppler-0.16.4.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../poppler-*.tar.gz
	rm src/poppler-*.tar.gz
	touch $@

src/poppler/config.status: src/poppler/source-stamp
src/poppler/config.status: src/fontconfig/install-stamp
src/poppler/config.status: src/libjpeg/install-stamp
	cd $(dir $@) && \
		CPPFLAGS='-DWIN32_LEAN_AND_MEAN -DXMD_H' \
		./configure --host=$(host) --prefix=$(usr) \
		--with-font-configuration=fontconfig \
		--enable-xpdf-headers \
		--disable-static \
		--disable-cms \
		--disable-abiword-output \
		--disable-cairo-output \
		--disable-poppler-cpp \
		--disable-poppler-glib \
		--disable-poppler-qt \
		--disable-poppler-qt4 \
		--disable-utils \
		--disable-libpng \
		--disable-compile-warnings
	sed -i -e 's!^\(#define POPPLER_DATADIR\) .*!\1 "./poppler-data/"!' $(dir $@)/config.h

src/poppler/build-stamp: src/poppler/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/poppler/install-stamp: src/poppler/build-stamp
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libpoppler)
	touch $@

# DjVuLibre

src/djvulibre/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.23.tar.gz
	echo '608c07e629626cfe713168c942a07d2db3b0b19df4aae1f598473f4a2daf213d  src/djvulibre-3.5.23.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../djvulibre-*.tar.gz
	sed -i \
		-e '/LIBS=-lmsvcp60/d' \
		-e 's/mingw32)/mingw32*)/' \
		$(dir $@)/configure
	sed -i -e 's/define USE_WIN32_INTERLOCKED 1/define USE_GCC_I386_ASM 1/' $(dir $@)/libdjvu/atomic.cpp
	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
	rm src/djvulibre-*.tar.gz
	touch $@

src/djvulibre/config.status: src/djvulibre/source-stamp
src/djvulibre/config.status: src/libjpeg/config.status
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static

src/djvulibre/build-stamp: src/djvulibre/config.status
	$(MAKE) -C $(dir $@)/libdjvu
	$(MAKE) -C $(dir $@)/tools
	touch $@

src/djvulibre/install-stamp: src/djvulibre/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libdjvu install
	$(MAKE) -C $(dir $@)/tools install
	set -e && \
	for tool in $(djvulibre_tools); do \
		cp bin/$$tool dist/$$tool.exe; \
		$(STRIP) dist/$$tool.exe; \
		chmod a-x dist/$$tool.exe; \
	done
	$(call ship_dll,libdjvulibre)
	touch $@

# libxml2

src/libxml2/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://xmlsoft.org/sources/libxml2-2.7.8.tar.gz
	echo 'cda23bc9ebd26474ca8f3d67e7d1c4a1f1e7106364b690d822e009fdc3c417ec  src/libxml2-2.7.8.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../libxml2-*.tar.gz
	rm src/libxml2-*.tar.gz
	rm -r src/libxml2/test
	rm -r src/libxml2/result
	touch $@

src/libxml2/config.status: src/libxml2/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--with-minimum \
		--with-html \
		--with-output \
		--with-tree \
		--with-writer \
		--with-xpath \
		--with-sax1

src/libxml2/build-stamp: src/libxml2/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/libxml2/install-stamp: src/libxml2/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	cp xmlexports.h include/libxml2/libxml/xmlexports.h
	$(call ship_dll,libxml2)
	touch $@

# libxslt

src/libxslt/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://xmlsoft.org/sources/libxslt-1.1.26.tar.gz
	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
	rm src/libxslt-*.tar.gz
	touch $@

src/libxslt/config.status: src/libxslt/source-stamp
src/libxslt/config.status: src/libxml2/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--with-libxml-prefix=$(usr) \
		--with-libxml-include-prefix=$(usr)/include/libxml2/ \
		--without-crypto \
		--without-debug \
		--without-debugger \
		--without-plugins

src/libxslt/build-stamp: src/libxslt/config.status
	$(MAKE) -C $(dir $@)/libxslt/
	touch $@

src/libxslt/install-stamp: src/libxslt/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/libxslt/ install
	$(call ship_dll,libxslt)
	touch $@

# FreeType

src/freetype/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://download.savannah.gnu.org/releases/freetype/freetype-2.4.4.tar.bz2
	echo '4b8281c7dc4d375c6b65d3c6f4808e488a313fab47d7be82aad2c871c8480fef  src/freetype-2.4.4.tar.bz2' | sha256sum -c
	cd $(dir $@) && $(untar) ../freetype-*.tar.bz2
	rm src/freetype-*.tar.bz2
	touch $@

src/freetype/config.status: src/freetype/source-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--without-zlib \
		--disable-static
	touch $@

src/freetype/build-stamp: src/freetype/config.status
	$(MAKE) -C $(dir $@)
	touch $@

src/freetype/install-stamp: src/freetype/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@) install
	$(call ship_dll,libfreetype)
	touch $@

# fontconfig

src/fontconfig/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://www.freedesktop.org/software/fontconfig/release/fontconfig-2.8.0.tar.gz
	echo 'fa2a1c6eea654d9fce7a4b1220f10c99cdec848dccaf1625c01f076b31382335  src/fontconfig-2.8.0.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../fontconfig-*.tar.gz
	rm src/fontconfig-*.tar.gz
	sed -i -e 's/"append"/"prepend"/g' src/fontconfig/conf.d/*-urw-aliases.conf
	touch $@

src/fontconfig/config.status: src/fontconfig/source-stamp
src/fontconfig/config.status: src/freetype/install-stamp
src/fontconfig/config.status: src/libxml2/install-stamp
	cd $(dir $@) && \
		./configure --host=$(host) --prefix=$(usr) \
		--with-freetype-config=$(usr)/freetype-config \
		--with-add-fonts=CUSTOMFONTDIR \
		--enable-libxml2 \
		--disable-static \
		--disable-docs

src/fontconfig/build-stamp: src/fontconfig/config.status
	$(MAKE) -C $(dir $@)/
	touch $@

src/fontconfig/install-stamp: src/fontconfig/build-stamp
	mkdir -p dist/etc/fonts/conf.d/
	$(MAKE) -C $(dir $@)/ install RUN_FC_CACHE_TEST=false
	$(call ship_dll,libfontconfig)
	cp etc/fonts/fonts.conf dist/etc/fonts/
	cp etc/fonts/fonts.dtd dist/etc/fonts/
	cp etc/fonts/conf.d/[3-6]*.conf dist/etc/fonts/conf.d/
	touch $@

# GNU gettext

src/gettext/source-stamp:
	mkdir -p $(dir $@)
	cd src && wget -c http://ftp.gnu.org/pub/gnu/gettext/gettext-0.18.1.1.tar.gz
	echo '93ac71a7afa5b70c1b1032516663658c51e653087f42a3fc8044752c026443e9  src/gettext-0.18.1.1.tar.gz' | sha256sum -c
	cd $(dir $@) && $(untar) ../gettext-*.tar.gz --exclude='gettext-tools'
	rm src/gettext-*.tar.gz
	sed -r -i -e '/(#undef|#define|extern .*) (v?sn?printf|[*]?setlocale)/d' $(dir $@)/gettext-runtime/intl/libgnuintl.h.in
	sed -r -i -e 's/(-DENABLE_RELOCATABLE)=1/\1=0/' $(dir $@)/gettext-runtime/intl/Makefile.in
	touch $@

src/gettext/config.status: src/gettext/source-stamp
src/gettext/config.status: src/winiconv/install-stamp
	cp lib/libiconv.dll $(dir $@)/gettext-runtime/
	cd $(dir $@)/gettext-runtime/ && \
		./configure --host=$(host) --prefix=$(usr) \
		--disable-static \
		--disable-libasprintf
	touch $@	

src/gettext/build-stamp: src/gettext/config.status
	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ \
		aliaspath='\""; return NULL; "\"' \
		localedir='.'
	touch $@

src/gettext/install-stamp: src/gettext/build-stamp
	mkdir -p dist/
	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ install
	$(call ship_dll,libintl)
	touch $@

# winiconv

src/winiconv/source-stamp:

=== doc/po/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2009 Jakub Wilk
+# Copyright © 2009, 2010, 2011 Jakub Wilk
 #
 # This package is free software; you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
@@ -24,6 +24,9 @@
 .PHONY: all
 all: $(MAN_FILES)
 
+.PHONY: XML
+xml: $(XML_FILES)
+
 %.xml: %.po
 	po4a $(PO4A_OPTIONS) po4a.conf
 	sed -i -e '/^#:/ d' *.po

=== debian/changelog ===
pdf2djvu (0.7.7-1ubuntu1) oneiric; urgency=low

  * Rebuild
  * Bump standards version to 3.9.2

 -- Steve Stalcup <vorian@ubuntu.com>  Tue, 24 May 2011 19:41:32 -0600

pdf2djvu (0.7.7-1) unstable; urgency=low

  * New upstream release.

 -- Daniel Stender <daniel@danielstender.com>  Sun, 03 Apr 2011 16:44:21 +0200

pdf2djvu (0.7.6-1) unstable; urgency=low

  [ Daniel Stender ]
  * New upstream release.

  [ Luca Bruno ]
  * Bumped build-dep on libdjvulibre-dev to avoid FTBFS (closes: #613477).

 -- Luca Bruno <lucab@debian.org>  Sat, 12 Mar 2011 20:55:43 +0100

pdf2djvu (0.7.4-2) unstable; urgency=low

  * New maintainer (closes #598154).
  * Bumped to standards-version 3.9.1.

 -- Daniel Stender <daniel@danielstender.com>  Tue, 23 Nov 2010 14:30:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: pdf2djvu
 Section: text
 Priority: optional
-Maintainer: Jakub Wilk <jwilk@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Daniel Stender <daniel@danielstender.com>
 Uploaders: Luca Bruno <lucab@debian.org>
 Build-Depends: debhelper (>= 7),
  libpoppler-dev (>= 0.7.3),
- libdjvulibre-dev (>= 3.5.20-5~), djvulibre-bin (>= 3.5.20-5~),
+ libdjvulibre-dev (>= 3.5.23-6), djvulibre-bin (>= 3.5.23-6),
  libpstreams-dev,
  libgraphicsmagick++1-dev,
  libxslt1-dev, libxml2-utils
-Standards-Version: 3.8.4
+Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
 Homepage: http://pdf2djvu.googlecode.com/

=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,7 @@
 .PHONY: install
 install: install-stamp
 install-stamp: build-stamp
-	dh install --before dh_installchangelogs
-	dh_installchangelogs doc/changelog.txt
+	dh install
 	dh install --remaining
 	touch $(@)

## pdf2djvu 0.7.11

=== Makefile ===
--- 
+++ 
@@ -61,7 +61,7 @@
 	$(INSTALL) -d $(DESTDIR)$(bindir)
 	$(INSTALL) pdf2djvu $(DESTDIR)$(bindir)
 ifneq ($(MAN_PAGES),)
-	for manpage in $(MAN_PAGES); \
+	set -e; for manpage in $(MAN_PAGES); \
 	do \
 		set -x; \
 		basename=`basename $$manpage`; \
@@ -73,7 +73,7 @@
 	done
 endif
 ifneq ($(MO_FILES),)
-	for locale in $(basename $(notdir $(MO_FILES))); \
+	set -e; for locale in $(basename $(notdir $(MO_FILES))); \
 	do \
 		$(INSTALL) -d $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/; \
 		$(INSTALL) -m 644 po/$$locale.mo $(DESTDIR)$(localedir)/$$locale/LC_MESSAGES/pdf2djvu.mo; \

=== win32/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 # the Free Software Foundation; version 2 dated June, 1991.
 
 usr = $(CURDIR)
-host = i586-mingw32msvc
+host = i686-w64-mingw32
 docbook_xsl = http://docbook.sourceforge.net/release/xsl/current/html/docbook.xsl
 
 version := $(shell cat ../doc/changelog | head -n1 | cut -d' ' -f2 | tr -d '()')
@@ -15,8 +15,8 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
-export CC = $(host)-gcc -static-libgcc
-export CXX = $(host)-g++ -static-libgcc
+export CC = $(host)-gcc -D__USE_MINGW_ANSI_STDIO
+export CXX = $(host)-g++ -D__USE_MINGW_ANSI_STDIO
 export AS = $(host)-as
 export DLLTOOL = $(host)-dlltool
 export OBJDUMP = $(host)-objdump
@@ -78,7 +78,7 @@
 	sed -i \
 		-e '/^extern/d; /^"C"$$/d; /^const char [*]_nl_/d; s/ + _nl_[a-z_]* + .*$$//' \
 		$(dir $@)/configure
-	sed -i -e 's/%zu/%Iu/g' \
+	sed -i -e 's/%zu/%Iu/g; s/%ju/%I64u/g' \
 		$(dir $@)/*.cc \
 		$(dir $@)/*.hh \
 		$(dir $@)/po/*.po*
@@ -88,7 +88,6 @@
 src/pdf2djvu/config.status: src/pdf2djvu/source-stamp
 src/pdf2djvu/config.status: src/djvulibre/install-stamp
 src/pdf2djvu/config.status: src/libxslt/install-stamp
-src/pdf2djvu/config.status: src/mingwrt/install-stamp
 src/pdf2djvu/config.status: src/poppler/install-stamp
 src/pdf2djvu/config.status: src/gettext/install-stamp
 	cd $(dir $@) && \
@@ -132,7 +131,6 @@
 src/libs-install-stamp: src/libjpeg/install-stamp
 src/libs-install-stamp: src/libxml2/install-stamp
 src/libs-install-stamp: src/libxslt/install-stamp
-src/libs-install-stamp: src/mingwrt/install-stamp
 src/libs-install-stamp: src/poppler/install-stamp
 src/libs-install-stamp: src/winiconv/install-stamp
 	mkdir -p dist/doc/
@@ -143,8 +141,8 @@
 
 src/poppler/source-stamp:
 	mkdir -p $(dir $@)
-	cd src && wget -c http://poppler.freedesktop.org/poppler-0.16.4.tar.gz
-	echo '0e48e54d6e6d7269f049cf9d060e3ed078cad69808bda8a6da285a7b41c3a2a6  src/poppler-0.16.4.tar.gz' | sha256sum -c
+	cd src && wget -c http://poppler.freedesktop.org/poppler-0.16.7.tar.gz
+	echo 'fab4e8af2d34d4142a718819fd747d40930b71ef520ee0e6bcc94e2c44f22bcd  src/poppler-0.16.7.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../poppler-*.tar.gz
 	rm src/poppler-*.tar.gz
 	touch $@
@@ -183,8 +181,8 @@
 
 src/djvulibre/source-stamp:
 	mkdir -p $(dir $@)
-	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.23.tar.gz
-	echo '608c07e629626cfe713168c942a07d2db3b0b19df4aae1f598473f4a2daf213d  src/djvulibre-3.5.23.tar.gz' | sha256sum -c
+	cd src && wget -c http://downloads.sourceforge.net/djvu/djvulibre-3.5.24.tar.gz
+	echo 'c0734c81d22a0e458c3fb5efd4c3eab051bcb6ad8740f5a5784c1f5699482534  src/djvulibre-3.5.24.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../djvulibre-*.tar.gz
 	sed -i \
 		-e '/LIBS=-lmsvcp60/d' \
@@ -192,6 +190,8 @@
 		$(dir $@)/configure
 	sed -i -e 's/define USE_WIN32_INTERLOCKED 1/define USE_GCC_I386_ASM 1/' $(dir $@)/libdjvu/atomic.cpp
 	sed -i -e 's/#if.*def.*AUTOCONF.*/#if 0/' $(dir $@)/libdjvu/DjVuMessage.cpp
+	sed -i -e '1a #include <stddef.h>' $(dir $@)/libdjvu/*.h # Fix FTBFS with GCC 4.6
+	sed -i -e 's/^#ifndef NO_MMX$$/#if 0/' $(dir $@)/libdjvu/MMX.h # Disable MMX code, broken with GCC 4.6
 	rm src/djvulibre-*.tar.gz
 	touch $@
 
@@ -262,6 +262,7 @@
 	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
 	rm src/libxslt-*.tar.gz
+	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' src/libxslt/libxslt/libxslt.h
 	touch $@
 
 src/libxslt/config.status: src/libxslt/source-stamp
@@ -375,12 +376,3 @@
 		localedir='.'
 	touch $@
 
-src/gettext/install-stamp: src/gettext/build-stamp
-	mkdir -p dist/
-	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ install
-	$(call ship_dll,libintl)
-	touch $@
-
-# winiconv
-
-src/winiconv/source-stamp:

=== doc/po/Makefile ===
# Copyright © 2009, 2010, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ../..
include $(srcdir)/Makefile.common
include $(srcdir)/doc/Makefile.common

XSLTPROC += --param man.output.lang.in.name.enabled 1

po4a-common-options = \
	--format=docbook

po4a-getext-options = \
	$(po4a-common-options) \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
	--copyright-holder="Jakub Wilk"

po4a-update-po = po4a-updatepo \
	$(po4a-getext-options) \
	--msgmerge-opt="--no-location"

po4a-gettextize = po4a-gettextize \
	$(po4a-getext-options)

po4a-translate = po4a-translate \
	$(po4a-common-options)

po_files = $(wildcard pdf2djvu.[a-z][a-z].po)
xml_files = $(po_files:.po=.xml)
man_files = $(po_files:.po=.1)

.PHONY: all
all: $(man_files)

.PHONY: xml
xml: $(xml_files)

pdf2djvu.pot: pdf2djvu.xml
	$(po4a-gettextize) -m $(<) -p $(@)

$(po_files): %.po: pdf2djvu.xml
	$(po4a-update-po) -m $(<) -p $(@)
	rm -f $(@)~
	touch $(@)

%.xml: %.po
ifneq "$(quality-check)" ""
	! msgattrib --only-fuzzy $(<) | grep .
	! msgattrib --untranslated $(<) | grep .
endif
	$(po4a-translate) -m pdf2djvu.xml -p $(<) -l $(@)
	sed -i -e 's/<\(refentry\)>/<\1 lang="$(subst .,,$(suffix $(basename $(@))))">/' $(@)

.PHONY: clean
clean:
	rm -f $(addprefix pdf2djvu.,[a-z][a-z].1 [a-z][a-z].xml pot) *~

# vim:ts=4 sw=4 noet

=== debian/changelog ===
pdf2djvu (0.7.11-1) unstable; urgency=low

  * New upstream release.
  * Changes of debian/copyright:
    + Minor changes to meet DEP-5, bumped rev. to 174.
    + Changed source URL.
    + Extended copyrights to 2011.
    + Expanded the GPL-2 text.
  * Changes of debian/control:
    + Wrapped-and-sorted.
    + Changed homepage URL.

 -- Daniel Stender <daniel@danielstender.com>  Fri, 04 Nov 2011 19:58:07 +0100

pdf2djvu (0.7.8-1) unstable; urgency=low

  * New upstream release.
    + Add German translation (Closes: #626315, #627950)
    + Merge multiple input PDF files (Closes: #633628)
  * Add recommended build targets build-arch and build-indep.
  * Bump policy version.

 -- Luca Bruno <lucab@debian.org>  Sun, 07 Aug 2011 18:00:14 +0200

=== debian/control ===
Source: pdf2djvu
Section: text
Priority: optional
Maintainer: Daniel Stender <daniel@danielstender.com>
Uploaders: Luca Bruno <lucab@debian.org>
Build-Depends:
 debhelper (>= 7),
 djvulibre-bin (>= 3.5.23-6),
 libdjvulibre-dev (>= 3.5.23-6),
 libgraphicsmagick++1-dev,
 libpoppler-dev (>= 0.7.3),
 libpstreams-dev,
 libxml2-utils,
 libxslt1-dev
Standards-Version: 3.9.2
Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git
Homepage: http://jwilk.net/software/pdf2djvu

Package: pdf2djvu
Architecture: any
Depends: djvulibre-bin (>= 3.5.20-5~), ${misc:Depends}, ${shlibs:Depends}
Suggests: poppler-data
Breaks: libdjvulibre21 (<< 3.5.20-5~)
Description: PDF to DjVu converter
 pdf2djvu creates DjVu files from PDF files. It's able to extract:
  - graphics,
  - text layer,
  - hyperlinks,
  - document outline (bookmarks),
  - metadata (including XMP metadata).

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,9 @@
 endif
 
 .PHONY: build
-build: build-stamp
+build: build-arch build-indep
+build-arch: build-stamp
+build-indep: build-stamp
 build-stamp:
 	+ dh build $(dh_parallel)
 	touch $(@)

## pdf2djvu 0.7.12

=== Makefile ===
--- 
+++ 
@@ -36,7 +36,7 @@
 pdf2djvu: system.o
 pdf2djvu: xmp.o
 pdf2djvu:
-	$(LINK.cc) $(^) $(LDFLAGS) $(LDLIBS) -o $(@)
+	$(LINK.cc) $(^) $(LDLIBS) -o $(@)
 
 XML_FILES = $(wildcard *.xml)
 XML_HH_FILES = $(XML_FILES:.xml=.hh)

=== po/Makefile ===
# Copyright © 2009, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

srcdir = ..
include $(srcdir)/Makefile.common

PO_FILES = $(wildcard *.po)
MO_FILES = $(PO_FILES:.po=.mo)
SOURCE_FILES = $(wildcard $(srcdir)/*.cc $(srcdir)/*.hh)

gettext-common-options = \
	--no-location \
	--sort-output

xgettext = $(XGETTEXT) \
	$(gettext-common-options) \
	--language=C++ \
	--keyword=_ --keyword=N_ \
	--package-name=pdf2djvu \
	--package-version=$(PACKAGE_VERSION) \
	--msgid-bugs-address=$(PACKAGE_BUGREPORT)

msgmerge = $(MSGMERGE) \
	$(gettext-common-options)

msgfmt = $(MSGFMT) \
	--check

.PHONY: all
all: pdf2djvu.pot $(PO_FILES) $(MO_FILES)

pdf2djvu.pot: $(XGETTEXT_HELPER) $(SOURCE_FILES)
	$(xgettext) -D $(srcdir) $(notdir $(SOURCE_FILES)) > $(@)

%.po: pdf2djvu.pot
	$(msgmerge) -o $(@) $(@) $(<)

%.mo: %.po
ifneq "$(quality-check)" ""
	! msgattrib --only-fuzzy $(<) | grep .
	! msgattrib --untranslated $(<) | grep .
endif
	$(msgfmt) -o $(@) -c $(<)

.PHONY: clean
clean:
	rm -f *.mo pdf2djvu.pot

# vim:ts=4 sw=4 noet

=== tests/Makefile ===
# Copyright © 2009, 2011 Jakub Wilk
#
# This package is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; version 2 dated June, 1991.

# To test everything, run:
#
#    make
#
# You can use the ‘skip’ variable to skip some tests. E.g. to skip tests
# requiring GraphicsMagick, run:
#
#    make skip='*+gm'

pdf2djvu = ../pdf2djvu
export pdf2djvu

all_test_scripts = $(wildcard test-*.sh)
skipped_test_scripts = $(wildcard $(addprefix test-,$(addsuffix .sh,$(skip))))
test_scripts = $(filter-out $(skipped_test_scripts),$(all_test_scripts))
tests = $(test_scripts:.sh=)

stamp_files = $(tests:%=%.stamp)
pdf_files = $(tests:%=%.pdf)
djvu_files = $(tests:%=%.djvu)

in_files = $(wildcard *.in)

generated_files = $(in_files:.in=) $(stamp_files) $(pdf_files)

.PHONY: all
all: $(generated_files)

.PHONY: prepare
prepare: $(in_files:.in=) $(pdf_files)
	rm -f *.log *.pyc

.PHONY: clean
clean:
	rm -f $(generated_files) *.log *.djvu *.pyc

%.stamp: %.sh %.pdf $(pdf2djvu)
	sh -e -x $(<)
	touch $(@)

%.pdf: %.tex
	pdftex $(<)

%: %.in
	./$(<)

../pdf2djvu:
	$(MAKE) -C ../

# vim:ts=4 sw=4 noet

=== win32/Makefile ===
--- 
+++ 
@@ -15,8 +15,8 @@
 untar = tar --strip-components=1 -xf
 ship_dll = cp bin/$1*.dll dist/ && $(STRIP) dist/$1*.dll && chmod a-x dist/$1*.dll
 
-export CC = $(host)-gcc -D__USE_MINGW_ANSI_STDIO
-export CXX = $(host)-g++ -D__USE_MINGW_ANSI_STDIO
+export CC = $(host)-gcc
+export CXX = $(host)-g++
 export AS = $(host)-as
 export DLLTOOL = $(host)-dlltool
 export OBJDUMP = $(host)-objdump
@@ -28,6 +28,7 @@
 
 export CFLAGS = -Os
 export CXXFLAGS = -Os
+export CPPFLAGS = -D__USE_MINGW_ANSI_STDIO
 
 .PHONY: all
 all:
@@ -90,6 +91,7 @@
 src/pdf2djvu/config.status: src/libxslt/install-stamp
 src/pdf2djvu/config.status: src/poppler/install-stamp
 src/pdf2djvu/config.status: src/gettext/install-stamp
+src/pdf2djvu/config.status: src/mingwrt/install-stamp
 	cd $(dir $@) && \
 		./configure --host=$(host) --prefix=$(usr) \
 		--bindir=$(usr)/dist/ \
@@ -226,6 +228,7 @@
 	cd src && wget -c http://xmlsoft.org/sources/libxml2-2.7.8.tar.gz
 	echo 'cda23bc9ebd26474ca8f3d67e7d1c4a1f1e7106364b690d822e009fdc3c417ec  src/libxml2-2.7.8.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxml2-*.tar.gz
+	sed -i -e '/^#undef v\?snprintf$$/d' $(dir $@)/config.h.in
 	rm src/libxml2-*.tar.gz
 	rm -r src/libxml2/test
 	rm -r src/libxml2/result
@@ -262,7 +265,7 @@
 	echo '55dd52b42861f8a02989d701ef716d6280bfa02971e967c285016f99c66e3db1  src/libxslt-1.1.26.tar.gz' | sha256sum -c
 	cd $(dir $@) && $(untar) ../libxslt-*.tar.gz
 	rm src/libxslt-*.tar.gz
-	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' src/libxslt/libxslt/libxslt.h
+	sed -i -e 's/^\(#if defined(WIN32)\).*/\1/' $(dir $@)/libxslt/libxslt.h
 	touch $@
 
 src/libxslt/config.status: src/libxslt/source-stamp
@@ -371,8 +374,3 @@
 	touch $@	
 
 src/gettext/build-stamp: src/gettext/config.status
-	$(MAKE) -C $(dir $@)/gettext-runtime/intl/ \
-		aliaspath='\""; return NULL; "\"' \
-		localedir='.'
-	touch $@
-

=== debian/changelog ===
pdf2djvu (0.7.12-2+deb7u1) oldstable; urgency=medium

  * added fix-insecure-use-of-tmp-when-executing-c44.diff, fix
    of no-dsa security issue (related bug #784889 closed by 0.7.21-1
    in Sid).
  * deb/rules: added empty override for dh_auto_clean (see #724228).

 -- Daniel Stender <debian@danielstender.com>  Sun, 21 Jun 2015 12:20:37 +0200

pdf2djvu (0.7.12-2) unstable; urgency=low

  * Add missing pkg-config build-dep (Closes: #661080)
  * Build with hardening flags enabled

 -- Luca Bruno <lucab@debian.org>  Sat, 25 Feb 2012 14:01:05 +0100

pdf2djvu (0.7.12-1) unstable; urgency=low

  * New upstream release
  * Update build-dep to libpoppler-private-dev for ongoing transition

 -- Luca Bruno <lucab@debian.org>  Mon, 13 Feb 2012 22:00:03 +0100

=== debian/control ===
--- 
+++ 
@@ -8,10 +8,12 @@
  djvulibre-bin (>= 3.5.23-6),
  libdjvulibre-dev (>= 3.5.23-6),
  libgraphicsmagick++1-dev,
- libpoppler-dev (>= 0.7.3),
+ libpoppler-private-dev (>= 0.7.3),
  libpstreams-dev,
  libxml2-utils,
- libxslt1-dev
+ libxslt1-dev,
+ pkg-config,
+ dpkg-dev (>= 1.16.1)
 Standards-Version: 3.9.2
 Vcs-Git: git://git.debian.org/git/collab-maint/pdf2djvu.git
 Vcs-Browser: http://git.debian.org/?p=collab-maint/pdf2djvu.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,10 @@
 #!/usr/bin/make -f
-  
-LDFLAGS = -Wl,--as-needed
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
+
+LDFLAGS += -Wl,--as-needed
 
 ifneq ($(shell dh_testversion '<<' 7.4.10 2>/dev/null && echo old),old)
 dh_parallel = --parallel
@@ -17,6 +21,8 @@
 .PHONY: clean
 clean:
 	dh clean
+
+override_dh_auto_clean:
 
 .PHONY: install
 install: install-stamp

## pdf2djvu 0.7.14

=== po/Makefile ===
--- 
+++ 
@@ -13,7 +13,8 @@
 
 gettext-common-options = \
 	--no-location \
-	--sort-output
+	--sort-output \
+	--no-wrap \
 
 xgettext = $(XGETTEXT) \
 	$(gettext-common-options) \
@@ -21,7 +22,8 @@
 	--keyword=_ --keyword=N_ \
 	--package-name=pdf2djvu \
 	--package-version=$(PACKAGE_VERSION) \
-	--msgid-bugs-address=$(PACKAGE_BUGREPORT)
+	--msgid-bugs-address=$(PACKAGE_BUGREPORT) \
+	--add-comments=L10N: \
 
 msgmerge = $(MSGMERGE) \
 	$(gettext-common-options)
